module ParseOption
( parseOpt
) where

import Text.ParserCombinators.Parsec
import Data

optSymbol = oneOf "-\"=_.':/"

parseOpt :: Parser Option
parseOpt = do x <- char '-'
              xs <- many1 (alphaNum <|> optSymbol)
              spaces
              return $ Option (x:xs) []